//
//  Player.m
//  Vererbung
//
//  Created by Holger Hinzberg on 27.03.11.
//  Copyright 2011 Cocoa-Coding. All rights reserved.
//

#import "Player.h"

@implementation Player

@synthesize clubName;
@synthesize shirtNumber;
@synthesize salary;


-(id)init
{
    if ((self = [super init]))
    {
        [self setClubName:@"Spielverein SC71"]; 
        [self setShirtNumber:7];
        [self setSalary:15000.0];
    }
    return self;
}


-(void)sayYourName
{
    // Aufruf an die Elternklasse
    [super sayYourName];
    
    NSLog(@"Ich spiele für den %@ mit der Nummer %i.",
          clubName, shirtNumber);

}

-(void)encodeWithCoder:(NSCoder *)aCoder
{
    // Alle Variablen für die Datei kodieren
    [aCoder encodeObject:
     [self name] forKey:@"name"];
    
    [aCoder encodeObject:
     [self firstname] forKey:@"firstname"];
    
    [aCoder encodeInt:
     [self age] forKey:@"age"];
    
    [aCoder encodeObject:
     [self clubName] forKey:@"clubName"];
    
    [aCoder encodeInt:
     [self shirtNumber] forKey:@"shirtNumber"];
    
    [aCoder encodeDouble:
     [self salary]forKey:@"salary"];
}

-(id)initWithCoder:(NSCoder *)aDecoder
{
    // Initialisierung der Elternklasse
    if (![super init]) 
        return nil;
    
    // Alle Variablen werden aus der Datei decodiert
    [self setName:
     [aDecoder decodeObjectForKey:@"name"]];
    
    [self setFirstname:
     [aDecoder decodeObjectForKey:@"firstname"]];
    
    [self setAge:
     [aDecoder decodeIntForKey:@"age"]];
    
    [self setClubName:
     [aDecoder decodeObjectForKey:@"clubName"]];
    
    [self setShirtNumber:
     [aDecoder decodeIntForKey:@"shirtNumber"]];
    
    [self setSalary:
     [aDecoder decodeDoubleForKey:@"salary"]];
    
    return self; 
}

@end
