//
//  main.m
//  Vererbung
//
//  Created by Holger Hinzberg on 27.03.11.
//  Copyright 2011 Cocoa-Coding. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "Player.h"

int main (int argc, const char * argv[])
{
    NSAutoreleasePool * pool = [[NSAutoreleasePool alloc] init];
    
    // Anweisungen zur Serialisierung

    
    Player *aPlayer = [Player new];
    
    aPlayer.name = @"Sepp";
    aPlayer.firstname = @"Schuhmacher";
    aPlayer.age = 19;
    aPlayer.shirtNumber = 13;
    aPlayer.salary = 27000.0;
    aPlayer.clubName = @"Fortuna 07";
    
    // Der Dateiname und Pfad der zu speichernden Datei
    NSString *fileName = @"~/Desktop/Player.txt";
    
    // Der NSKeyedArchiver speichert das Objekt
    // unter den angegebenen Dateinamen.
    BOOL result = 
    [NSKeyedArchiver archiveRootObject:aPlayer 
                                toFile:[fileName stringByExpandingTildeInPath]];
    
    // Der Rückgabewert gibt Aufschluss über den Status
    if (result == YES)
    {
        NSLog(@"Objekt erfolgreich gespeichert.");
    }
    else
    {
        NSLog(@"Es gab ein Problem!");
    }
     
    
    
    // Wie zuvor der Dateiname
    /*
    NSString *fileName = @"~/Desktop/Player.txt";
    
    // Ein Player aus den gespeicherten Daten laden
    Player *aPlayer =
    [[NSKeyedUnarchiver unarchiveObjectWithFile: 
     [fileName stringByExpandingTildeInPath]] retain];
    
    // Ein kurzer Test aller Eigenschaften
    [aPlayer sayYourName];
    
    // Ein ausführlicher Test
    NSLog(@"Spieler: %@ %@", aPlayer.firstname 
          , aPlayer.name );
    NSLog(@"Verein : %@", aPlayer.clubName );
    NSLog(@"Gehalt : %.2f", aPlayer.salary );
    
    [aPlayer release];
     */
    
    [pool drain];
    return 0;
}

